<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status StructType
 * @subpackage Structs
 */
class TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status extends TextMessageInboxSelection
{
    /**
     * The Treated
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Treated;
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Vehicles;
    /**
     * Constructor method for
     * TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status
     * @uses TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status::setTreated()
     * @uses TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status::setVehicles()
     * @param bool $treated
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     */
    public function __construct($treated = null, \ArrayType\ArrayOfIdentifierVehicle $vehicles = null)
    {
        $this
            ->setTreated($treated)
            ->setVehicles($vehicles);
    }
    /**
     * Get Treated value
     * @return bool
     */
    public function getTreated()
    {
        return $this->Treated;
    }
    /**
     * Set Treated value
     * @param bool $treated
     * @return \StructType\TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status
     */
    public function setTreated($treated = null)
    {
        // validation for constraint: boolean
        if (!is_null($treated) && !is_bool($treated)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($treated, true), gettype($treated)), __LINE__);
        }
        $this->Treated = $treated;
        return $this;
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @return \StructType\TextMessageInboxSelection_With_VehicleSelection_And_Treated_Status
     */
    public function setVehicles(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
}
